import { ui } from "../ui/layaMaxUI";
import { PlayerManager } from "../Manager/PlayerManager";
export class SkinView extends ui.SkinViewUI{
    private static ins:SkinView;
    constructor(){
        super();
        SkinView.ins = this;
    }
    public static get Instance():SkinView{
        if(SkinView.ins == null){
            return new SkinView();
        }
        return SkinView.ins;
    }
    OnShow(){
        this.height = Laya.stage.height;
        Laya.stage.on(Laya.Event.RESIZE,this,()=>
        {
            this.height = Laya.stage.height;
        })
    }

    OnHide(){
        
    }
}